﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace testFieldPicker
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {
        List<Person> people = new List<Person>();
        public Window1()
        {
            InitializeComponent();
            for (int i = 0; i < 10; i++)
            {
                people.Add(new Person());
            }
            xamDataGrid1.DataSource = people;
            xamDataGrid1.FieldLayoutSettings.AutoGenerateFields = false;
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            Picker p = new Picker();
            p.Show();
        }
    }
    public class Person
    {
        public string name { get; set; }
        public string department { get; set; }
        public string salary { get; set; }
        public string email { get; set; }
        public Person()
        {
            this.name = "name";
            this.department = "department";
            this.salary = "new salary";
            this.email = this.name + "@" + this.department;
        }
    }
}
